import request from '@/utils/request'

// 查询个微发送记录列表
export function listWxSopLogs(query) {
  return request({
    url: '/wx/wxSopLogs/list',
    method: 'get',
    params: query
  })
}

// 查询个微发送记录详细
export function getWxSopLogs(id) {
  return request({
    url: '/wx/wxSopLogs/' + id,
    method: 'get'
  })
}

// 新增个微发送记录
export function addWxSopLogs(data) {
  return request({
    url: '/wx/wxSopLogs',
    method: 'post',
    data: data
  })
}

// 修改个微发送记录
export function updateWxSopLogs(data) {
  return request({
    url: '/wx/wxSopLogs',
    method: 'put',
    data: data
  })
}

// 删除个微发送记录
export function delWxSopLogs(id) {
  return request({
    url: '/wx/wxSopLogs/' + id,
    method: 'delete'
  })
}

// 导出个微发送记录
export function exportWxSopLogs(query) {
  return request({
    url: '/wx/wxSopLogs/export',
    method: 'get',
    params: query
  })
}

// 查询个微SOP执行详情列表
export function listWxSopLogsCVO(query) {
  return request({
    url: '/wx/wxSopLogs/listCVO',
    method: 'get',
    params: query
  })
}

// 导出个微SOP执行详情
export function exportWxSopLogsCVO(query) {
  return request({
    url: '/wx/wxSopLogs/exportCVO',
    method: 'post',
    params: query
  })
}